package com.ims.eval.controller;


import com.ims.eval.dao.result.R;
import com.ims.eval.entity.DataDictionary;
import com.ims.eval.entity.EvaluationScoringRule;
import com.ims.eval.service.IEvaluationScoringRuleService;
import com.ims.eval.service.impl.EvaluationScoringRuleServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 考评得分规则表 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@RestController
@RequestMapping("//evaluation-scoring-rule")
public class EvaluationScoringRuleController {


	@Autowired
	private IEvaluationScoringRuleService iEvaluationScoringRuleService;

	/**
	 * 查询
	 *
	 * @param indicatorUnit       指标单位
	 * @param type     业务阶段
	 * @param businessPhase  业务板块
	 * @return
	 */
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "indicatorUnit", required = false) String indicatorUnit,
				  @RequestParam(value = "type", required = false) String type,
				  @RequestParam(value = "businessPhase", required = false) String businessPhase){
		List<EvaluationScoringRule> list = iEvaluationScoringRuleService.list(indicatorUnit, type, businessPhase);
		return R.ok().data(list);
	}

}
